Bug 9672 - dosfsck core dump
dosfsck core dump
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: dosfstools (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-22 11:08 EST by Brock Organ
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 16:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-02-22 11:08:22 EST
[root@ultra1 test]# dosfsck /dev/fd0
dosfsck 2.2, 06 Jul 1999, FAT32, LFN
Bus error (core dumped)
[root@ultra1 test]#
Comment 1 Dale Lovelace 2000-08-04 13:15:42 EDT
FWIW... I can't reproduce this on an Intel...
Comment 2 keith.moore 2000-08-17 09:31:36 EDT
I verifed the problem on a Ultra-1.  I am attaching the strace, it's actually on
the first read of the floppy.

-- Keith Moore
Comment 3 keith.moore 2000-08-17 09:34:09 EDT
Ok, for some reason I don't get the option to append a file to this particular
bug.  Here is the output:

execve("/sbin/dosfsck", ["dosfsck", "/dev/fd0"], [/* 22 vars */]) = 0
brk(0)                                  = 0x2d388
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=15935, ...}) = 0
mmap(NULL, 15935, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7001c000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=4384427, ...}) = 0
read(3, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\22\0\0\0\1\0\1\353"..., 8192) =
8192
mmap(NULL, 1118552, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7002c000
mprotect(0x70124000, 102744, PROT_NONE) = 0
mmap(0x7012c000, 57344, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_FIXED,
3, 0xf0000) = 0x7012c000
mmap(0x7013a000, 12632, PROT_READ|PROT_WRITE|PROT_EXEC,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7013a000
close(3)                                = 0
munmap(0x7001c000, 15935)               = 0
personality(PER_LINUX)                  = 0
getpid()                                = 12105
SYS_63()                                = -1 ENOSYS (Function not implemented)
fstat(1, {st_mode=S_IFREG|0644, st_size=1195, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7001c000
open("/dev/fd0", O_RDONLY)              = 3
fstat(3, {st_mode=S_IFBLK|0600, st_rdev=makedev(2, 0), ...}) = 0
_llseek(0x3, 0, 0, 0xeffff6f0, 0)       = 0
read(3, "\353<\220MSWIN4.1\0\2\1\1\0\2\340\0@\v\360\t\0\22\0\2\0"..., 512) =
512--- SIGBUS (Bus error) ---
+++ killed by SIGBUS +++
Comment 4 Matt Wilson 2001-01-26 20:50:24 EST
brock, can you get me the disk this happened on?

[msw@pitr mrproject]$ /sbin/dosfsck /dev/fd0
dosfsck 2.2, 06 Jul 1999, FAT32, LFN
Logical sector size is zero.
Comment 5 Brock Organ 2001-02-21 16:21:47 EST
I can show you this problem on a stable 6.2 ultra sparc in our test lab ... :)

Note You need to log in before you can comment on or make changes to this bug.